Page MenuHomePhabricator

Deploy ORES advanced editquality models to lvwiki
Closed, ResolvedPublic

Description

  • Deploy models to beta and smoke test.
  • Deploy to production.
  • Enable new models via configuration.
  • Announce on-wiki.

Event Timeline

awight created this task.Apr 18 2018, 9:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 18 2018, 9:18 PM
awight updated the task description. (Show Details)Apr 18 2018, 9:26 PM
awight added a subscriber: Papuass.

@Papuass Good news, we expect to have these models published by the end of the month. Would you be willing to draft a release announcement?

Here's a sample announcement: https://tr.wikipedia.org/w/index.php?title=Vikipedi:K%C3%B6y_%C3%A7e%C5%9Fmesi_(ilginize)&oldid=17339200#ORES_review_tool_deployment_in_Turkish_Wikipedia

Here is what I came up with:

Vikipēdijā latviešu valodā pieslēgts ORES rīks

Sveicināti!

[[File:ORES extension.highlighted change.png|thumb|right|"Visticamāk bojājošs" labojums izcelts Special:RecentChanges, izmantojot ORES paplašinājumu.]]

Mēs ([[:m:Research:Revision_scoring_as_a_service#Team|''Revision Scoring'' komanda]]) esam priecīgi paziņot par [[:m:ORES|ORES]] [[:mw:ORES review tool|pārskatīšanas rīka]] pieslēgšanu kā [[Special:Preferences#mw-prefsection-betafeatures|bēta iespēju]] '''Vikipēdijā latviešu valodā'''. Pēc ieslēgšanas ORES [[Special:RecentChanges|pēdējo izmaiņu lapā]] izcels labojumus, kas visticamāk ir bojājoši, palīdzot izmaiņu patrulēšanas darbā. ORES nosaka bojājošos labojumus, izmantojot [[:m:Research:Automated classification of edit quality|vienkāršu matemātisku modeli un iepriekšējo labojumu datus]]. ORES ir eksperimentāla tehnoloģija. Mēs mudinām jūs to izmantot, bet būt arī skeptiskiem pret rezultātiem. Tas ir rīks jūsu atbalstam, bet tas nevar jūs aizvietot. Mēs esam atvērti jūsu jautājumiem un iebildumiem. Paldies arī dalībniekiem {{u|Zuiks}}, {{u|Treisijs}}, {{u|Edgars2007}} un {{u|Papuass}} par labojumu modeļa apmācīšanu.

;Dokumentācija: [[:mw:ORES pārskatīšanas rīks]], [[:mw:Extension:ORES]] un [[:m:ORES]]

;Kļūdas un iespēju pieprasījumi: https://phabricator.wikimedia.org/tag/revision-scoring-as-a-service-backlog/

;IRC: [[irc:wikimedia-ai|<tt style="white-space: nowrap;">#wikimedia-ai</tt>]]<sup><span class="plainlinks">[http://webchat.freenode.net/?channels=#wikimedia-ai <span style="color:green;">pieslēgties</span>]</span></sup>

Wow, thank you! We can coordinate the last step "Enable new models via configuration" in this task, to make sure the announcement goes out at the right time. FYI, the Global-Collaboration team will be the ones making that final deployment, since they own the RecentChanges new filters interface where ORES features will appear.

When setting thresholds for this model I had qualms similar to the ones I had for cawiki: T192501#4183409. Here too I ended up setting the threshold range for "very likely good faith" to 1-1 (i.e. just the value 1), and "very likely bad faith" ended up at 0 - 0.017.

Change 431038 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable ORES on lvwiki

https://gerrit.wikimedia.org/r/431038

Deployment scheduled for Wednesday May 9th at 23:00 UTC.

Change 431038 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable ORES on lvwiki

https://gerrit.wikimedia.org/r/431038

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-05-09T23:53:18Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable ORES on cawiki, lvwiki, huwiki (T192501, T192499, T192496) (duration: 01m 29s)

Catrope closed this task as Resolved.May 10 2018, 12:16 AM
Catrope claimed this task.

The tool was deployed, however, the announcement was not sent.